
Redmine - Patch #1260

Add SCM:Visual SourceSafe patch

2008-05-20 03:24 - Aruo Miura

Status: Closed Start date: 2008-05-20

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

This was same as

http://rubyforge.org/tracker/?func=detail&atid=7162&aid=13611&group_id=1850

I know RubyForge's areas are obsolated. So I re-post this patch here.

I got some reports and found this patch need running with Administrator (or Poweruser?) authority.

Requirements:

Microsoft Visual SourceSafe 8.0 (maybe or later), I check only Japanese version 8.0.50727.42 .

#Maybe support Japanese and English ONLY. If need others, check codes.

Running VSS and Redmine on same machine.

Redmine process need running under Administrators authority.(Because of OLE security?)

Related issues:

Has duplicate Redmine - Patch #228: for VisualSourceSafe patches Closed

History

#1 - 2008-05-20 12:06 - Thomas Lecavelier

Hi Miura,

It looks like you achieve a great job. Some remarks:

could you create a new migration, instead of editing m055: it'd break the migration system for users

is it possible for you to provide a test-case to include with this patch? I don't know if it's possible to provide a stand-alone repository of MS VSS,

but it could be a real good thing to prevent regression

have you possibility to check that a redmine instance with your patch, running on linux, still work (without using the VSS capability, of course...) It

should work without problem, but we can't know...

Thank you.

#2 - 2008-05-20 13:42 - Aruo Miura

- File VisualSourceSafe.diff added

Hi Thomas.

First, Thanks for your advices.

Second, might be hard to read because of my poor English...

Maybe no migration needed. It's my experimental codes.

In RubyForge, I didn't put m055's codes.

And got some reports it works.

So maybe OK.

I delete it and re-upload patch.

Need to read licence of VSS...

VSS can create stand-alone repository.

But I don't know providing repository is allowed.

I don't have linux or other non-windows environments.

So it's hard to check it. Need setup first...

Running under not Windows environments like linux, it does't work because of No OLE.

I don't know WINE or other Windows Emu support them or not.

Of course, not select VSS for SCM, maybe it should be work just you said.

I know checking this patch is too hard, and not suit for major users.
So I think it's difficult to incorporate this patch to redmine trunk.

But "this patch is here" is important, I think so.

Of course, I'll try to check under linux and try to create test-case.

But need much more time.

Thanks.

#3 - 2008-05-21 11:44 - Thomas Lecavelier

Outch... The migration was just ugly: it's effect was to "convert" all existing repositories in Redmine in VSS repositories... It would be a terrific bug ;)

You're right: there's very few chance to commit this patch to trunk without far more tests, but it's a good beginning.

I'd add a link to this patch in the redmine guide, hoping it could help someones.

Any feedback from users is welcome, of course.

#4 - 2011-01-18 06:55 - Toshi MARUYAMA

- Category set to SCM

#5 - 2018-10-07 08:38 - Go MAEDA

- Status changed from New to Closed

Microsoft no longer supports Visual SourceSafe. The mainstream support for Visual SourceSafe 2005 was ended on 2012-07-10.

https://support.microsoft.com/en-us/lifecycle/search?alpha=Visual%20SourceSafe

Probably few people really need this feature in 2018.

#6 - 2018-10-07 08:39 - Go MAEDA

- Has duplicate Patch #228: for VisualSourceSafe patches added

Files

VisualSourceSafe.diff 90.2 KB 2008-05-20 Aruo Miura

VisualSourceSafe.diff 89.7 KB 2008-05-20 Aruo Miura
